# Retrieve a taxonomy

Retrieves a taxonomy with a specific ID for example `color`.

Endpoint: GET /api/v2/cm/branches/{branchId}/taxonomies/{taxonomyId}
Version: v2.0
Security: OAuth2.0

## Security:

  - `OAuth2.0` (unknown)
    oauth2

## Path parameters:

  - `branchId` (string, required)
    The ID of the branch, for example `prod`.

  - `taxonomyId` (string, required)
    The ID of the taxonomy, for example `color`.

## Query parameters:

  - `version` (integer)
    The version of the taxonomy.

## Response 200:

  - `200` (unknown)
    Successful operation

## Response 200 fields (application/json):

  - `id` (string, required)

  - `name` (string, required)

  - `label` (string)

  - `version` (integer)

  - `versionTags` (array)

  - `terms` (array)

  - `terms.id` (string, required)

  - `terms.name` (string, required)

  - `terms.label` (string)

  - `system` (object, required)

  - `system.status` (string)
    Enum: "Draft", "Published", "Archived"

  - `system.availabilityDate` (string)

  - `system.unavailabilityDate` (string)

  - `system.publishedAt` (string)

  - `system.publishedBy` (string)

  - `system.archivedDate` (string)

  - `system.archivedBy` (string)

  - `system.environment` (string, required)

  - `system.type` (string, required)

  - `system.hash` (string, required)

  - `system.createdAt` (string, required)

  - `system.createdBy` (string, required)

  - `system.updatedAt` (string)

  - `system.updatedBy` (string)

## Response 401:

  - `401` (unknown)
    Unauthorized request or invalid access token

## Response 401 fields (application/json):

  - `type` (string)

  - `title` (string)

  - `status` (integer)

  - `detail` (string)

  - `instance` (string)

## Response 403:

  - `403` (unknown)
    Request does not contain required scopes

## Response 403 fields (application/json):

  - `type` (string)

  - `title` (string)

  - `status` (integer)

  - `detail` (string)

  - `instance` (string)

## Response 404:

  - `404` (unknown)
    Item or entity not found

## Response 404 fields (application/json):

  - `type` (string)

  - `title` (string)

  - `status` (integer)

  - `detail` (string)

  - `instance` (string)

## Response 500:

  - `500` (unknown)
    Server-side exception during request execution

